### Hierarchy

- XmlAttributeComponent<object>
  - TabAttributes

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- isDeleted

### Methods

- prepForXml
- set

### Object literals

- xmlKeys

## Constructors

### constructor

- new TabAttributes(properties: object): TabAttributes

- Inherited from XmlAttributeComponent.constructor

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:8

  #### Parameters

  - ##### properties: object

    - ##### pos: string | number

    - ##### val: TabValue

  #### Returns TabAttributes

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: object

Inherited from XmlAttributeComponent.root

- Defined in file/xml-components/default-attributes.ts:7

#### Type declaration

- ##### pos: string | number

- ##### val: TabValue

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlAttributeComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:15

  #### Returns IXmlableObject

### set

- set(properties: object): void

- Inherited from XmlAttributeComponent.set

  - Defined in file/xml-components/default-attributes.ts:27

  #### Parameters

  - ##### properties: object

    - ##### pos: string | number

    - ##### val: TabValue

  #### Returns void

## Object literals

### Protected xmlKeys

xmlKeys: object

Overrides XmlAttributeComponent.xmlKeys

- Defined in file/paragraph/formatting/tab-stop.ts:14

### pos

pos: string = "w:pos"

- Defined in file/paragraph/formatting/tab-stop.ts:14

### val

val: string = "w:val"

- Defined in file/paragraph/formatting/tab-stop.ts:14

Generated using TypeDoc